/***
 * Excerpted from "Developing for Apple Watch, Second Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/jkwatch2 for more book information.
***/
//
//  CLKTextProvider+SwiftAdditions.m
//  NomNomNom
//
//  Created by Jeff Kelley on 1/25/16.
//  Copyright © 2016 Jeff Kelley. All rights reserved.
//

#import "CLKTextProvider+SwiftAdditions.h"

@implementation CLKTextProvider (SwiftAdditions)

+ (CLKTextProvider *)nnn_textProviderByJoiningProvider:(CLKTextProvider *)provider1
                                           andProvider:(CLKTextProvider *)provider2
                                            withString:(NSString *)string
{
    return [CLKTextProvider textProviderWithFormat:@"%@%@%@",
            provider1, string, provider2];
}

@end
