//
//  AppDelegate.swift
//  TapALap
//
//  Created by Jeff Kelley on 10/23/15.
//  Copyright © 2015 The Pragmatic Bookshelf. All rights reserved.
//

import UIKit
import HealthKit

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(application: UIApplication,
        didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?)
        -> Bool {
            return true
    }
    
    func applicationShouldRequestHealthAuthorization(application: UIApplication) {
        let store = HKHealthStore()

        store.handleAuthorizationForExtensionWithCompletion { success, error in
            if let error = error where !success {
                print("HealthKit authorization failed. Error: "
                    + error.localizedDescription)
            }
        }
    }

}
