//
//  AppDelegate.swift
//  TapALap
//
//  Created by Jeff Kelley on 10/23/15.
//  Copyright © 2015 The Pragmatic Bookshelf. All rights reserved.
//

import UIKit
import WatchConnectivity

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    lazy var sessionDelegate = SessionDelegate()
    
    func application(application: UIApplication,
        didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?)
        -> Bool {
            if WCSession.isSupported() {
                let session = WCSession.defaultSession()
                
                session.delegate = sessionDelegate
                session.activateSession()
            }
            
            return true
    }

}
