//
//  ExtensionDelegate.swift
//  SlowLauncher WatchKit Extension
//
//  Created by Jeff Kelley on 1/12/16.
//  Copyright © 2016 The Pragmatic Bookshelf. All rights reserved.
//

import WatchKit

class ExtensionDelegate: NSObject, WKExtensionDelegate {

    func applicationDidFinishLaunching() {
        performAfterDelay {
            WKInterfaceController.reloadRootControllersWithNames(
                ["InterfaceController"], contexts: nil)
            
            NSLog("ExtensionDelegate.applicationDidFinishLaunching()")
        }
    }

    func applicationDidBecomeActive() {
        performAfterDelay {
            NSLog("ExtensionDelegate.applicationDidBecomeActive()")
        }
    }

    func applicationWillResignActive() {
        performAfterDelay {
            NSLog("ExtensionDelegate.applicationWillResignActive()")
        }
    }

}
