/***
 * Excerpted from "Developing for Apple Watch, Second Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/jkwatch2 for more book information.
***/
//
//  InterfaceController.m
//  UI Catalog WatchKit Extension
//
//  Created by Jeff Kelley on 10/23/15.
//  Copyright © 2015 The Pragmatic Bookshelf. All rights reserved.
//

#import "InterfaceController.h"


@interface InterfaceController()

@property (weak, nonatomic) IBOutlet WKInterfacePicker *pickerA;
@property (weak, nonatomic) IBOutlet WKInterfacePicker *pickerB;
@property (weak, nonatomic) IBOutlet WKInterfacePicker *pickerC;

@end


@implementation InterfaceController

- (void)awakeWithContext:(id)context {
    [super awakeWithContext:context];

    WKPickerItem *pickerAItem1 = [[WKPickerItem alloc] init];
    pickerAItem1.title = @"A";
    pickerAItem1.caption = @"Letters";
    
    WKPickerItem *pickerAItem2 = [[WKPickerItem alloc] init];
    pickerAItem2.title = @"B";
    pickerAItem2.caption = @"Letters";
    
    WKPickerItem *pickerAItem3 = [[WKPickerItem alloc] init];
    pickerAItem3.title = @"C";
    pickerAItem3.caption = @"Letters";
    
    WKPickerItem *pickerBItem1 = [[WKPickerItem alloc] init];
    pickerBItem1.title = @"1";
    pickerBItem1.caption = @"Numbers";
    
    WKPickerItem *pickerBItem2 = [[WKPickerItem alloc] init];
    pickerBItem2.title = @"2";
    pickerBItem2.caption = @"Numbers";
    
    WKPickerItem *pickerBItem3 = [[WKPickerItem alloc] init];
    pickerBItem3.title = @"3";
    pickerBItem3.caption = @"Numbers";
    
    WKPickerItem *pickerCItem1 = [[WKPickerItem alloc] init];
    pickerCItem1.title = @"😀";
    pickerCItem1.caption = @"Emoji";
    
    WKPickerItem *pickerCItem2 = [[WKPickerItem alloc] init];
    pickerCItem2.title = @"😬";
    pickerCItem2.caption = @"Emoji";
    
    WKPickerItem *pickerCItem3 = [[WKPickerItem alloc] init];
    pickerCItem3.title = @"🙁";
    pickerCItem3.caption = @"Emoji";

    [self.pickerA setItems:@[pickerAItem1, pickerAItem2, pickerAItem3]];
    [self.pickerB setItems:@[pickerBItem1, pickerBItem2, pickerBItem3]];
    [self.pickerC setItems:@[pickerCItem1, pickerCItem2, pickerCItem3]];
}

@end

